# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::FormatFactory Class Reference

Class for loading format plugins. More...

`#include <formatfactory.h>`

Collaboration diagram for KABC::FormatFactory:

[legend]
List of all members.

## Public Member Functions

| ~FormatFactory ()
FormatPlugin * | format (const QString &type)
QStringList | formats ()
FormatInfo * | info (const QString &type)

## Static Public Member Functions

static FormatFactory * | self ()

## Detailed Description

Class for loading format plugins.

Example:

     KABC::FormatFactory *factory = KABC::FormatFactory::self();

     QStringList list = factory->formats();
     QStringList::Iterator it;
     for ( it = list.begin(); it != list.end(); ++it ) {
       KABC::FormatPlugin *format = factory->format( (*it) );
       // do something with format
     }

Definition at line 57 of file formatfactory.h.

## Constructor & Destructor Documentation

FormatFactory::~FormatFactory | ( |  | ) |

| Destructor. Definition at line 81 of file formatfactory.cpp. References QDict::clear().

## Member Function Documentation

FormatFactory * FormatFactory::self | ( |  | ) | `[static]`

| Returns the global format factory. Definition at line 38 of file formatfactory.cpp. References endl(), kdDebug(), and KStaticDeleter< type >::setObject().

FormatPlugin * FormatFactory::format | ( | const QString & | type | ) |

Returns a pointer to a format object or a null pointer if format type doesn't exist.

Parameters:

  | type | The type of the format, returned by formats()

Definition at line 109 of file formatfactory.cpp.

References endl(), format(), kdDebug(), and KLibrary::symbol().

Referenced by format().

QStringList FormatFactory::formats | ( |  | ) |

| Returns a list of all available format types. Definition at line 86 of file formatfactory.cpp. References QDictIterator::current(), and QDictIterator::currentKey().

FormatInfo * FormatFactory::info | ( | const QString & | type | ) |

| Returns the info structure for a special type. Definition at line 101 of file formatfactory.cpp.

The documentation for this class was generated from the following files:

- formatfactory.h
- formatfactory.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:46 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003